API Reference
Inspect memory lineage, direct relationships, and audit metadata
GET
/
api
/
v1
/
memories
/
{id}
/
history
Inspect memory lineage, direct relationships, and audit metadata
curl --request GET \
--url https://api.3ngram.ai/api/v1/memories/{id}/history \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.3ngram.ai/api/v1/memories/{id}/history"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.3ngram.ai/api/v1/memories/{id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"auditEvents": [
{
"actorKind": "user_dashboard",
"createdAt": "2023-11-07T05:31:56Z",
"eventKind": "create",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"payloadMetadata": {
"byteLength": 4503599627370495,
"jsonType": "object",
"present": true
}
}
],
"directRelationships": {
"predecessors": [
{
"edge": {
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "user_dashboard",
"edgeType": "supersedes",
"fromId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"memory": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isCurrent": true,
"lifecycleState": "current",
"memoryType": "decision",
"project": "<string>",
"recordedAt": "2023-11-07T05:31:56Z",
"scope": "<string>",
"status": "active",
"topic": "<string>",
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z"
}
}
],
"successors": [
{
"edge": {
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "user_dashboard",
"edgeType": "supersedes",
"fromId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"memory": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isCurrent": true,
"lifecycleState": "current",
"memoryType": "decision",
"project": "<string>",
"recordedAt": "2023-11-07T05:31:56Z",
"scope": "<string>",
"status": "active",
"topic": "<string>",
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z"
}
}
],
"truncated": true
},
"eventsTruncated": true,
"lineage": {
"edges": [
{
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "user_dashboard",
"edgeType": "supersedes",
"fromId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"nodes": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isCurrent": true,
"lifecycleState": "current",
"memoryType": "decision",
"project": "<string>",
"recordedAt": "2023-11-07T05:31:56Z",
"scope": "<string>",
"status": "active",
"topic": "<string>",
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z"
}
],
"truncated": true
},
"memory": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isCurrent": true,
"lifecycleState": "current",
"memoryType": "decision",
"project": "<string>",
"recordedAt": "2023-11-07T05:31:56Z",
"scope": "<string>",
"status": "active",
"topic": "<string>",
"validFrom": "2023-11-07T05:31:56Z",
"validTo": "2023-11-07T05:31:56Z"
},
"sections": {
"events": "ok",
"lineage": "ok"
}
}Authorizations
apiKeysessionBearer
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$⌘I
Inspect memory lineage, direct relationships, and audit metadata
